Changeset 925 for server


Ignore:
Timestamp:
Jan 1, 2009, 9:12:56 PM (14 years ago)
Author:
quentin
Message:
Update specfile patches to provide scripts-specific virtual packages that we can depend on
Location:
server/fedora/specs
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • server/fedora/specs/httpd.spec.patch

    r824 r925  
    1 --- httpd.spec.orig     2008-02-19 02:05:36.000000000 -0500
    2 +++ httpd.spec  2008-05-20 19:39:59.000000000 -0400
    3 @@ -54,6 +54,10 @@
     1--- httpd.spec.orig     2009-01-01 21:06:31.000000000 -0500
     2+++ httpd.spec  2009-01-01 21:08:14.000000000 -0500
     3@@ -54,6 +54,11 @@
    44 Conflicts: pcre < 4.0
    55 Requires: httpd-tools = %{version}-%{release}
    66 
     7+Provides: scripts-httpd
    78+Patch1000: httpd-suexec-scripts.patch
    89+Patch1001: httpd-2.2.x-sni.patch
     
    1213 The Apache HTTP Server is a powerful, efficient, and extensible
    1314 web server.
    14 @@ -127,6 +131,10 @@
     15@@ -100,6 +105,7 @@
     16 BuildRequires: openssl-devel, distcache-devel
     17 Requires(post): openssl >= 0.9.7f-4, /bin/cat
     18 Requires: httpd = 0:%{version}-%{release}, httpd-mmn = %{mmn}
     19+Provides: scripts-mod_ssl
     20 Obsoletes: stronghold-mod_ssl
     21 
     22 %description -n mod_ssl
     23@@ -127,6 +133,10 @@
    1524 # Patch in vendor/release string
    1625 sed "s/@RELEASE@/%{vstring}/" < %{PATCH20} | patch -p1
     
    2332 vmmn=`echo MODULE_MAGIC_NUMBER_MAJOR | cpp -include include/ap_mmn.h | sed -n '/^2/p'`
    2433 if test "x${vmmn}" != "x%{mmn}"; then
    25 @@ -175,10 +183,12 @@
     34@@ -175,10 +185,12 @@
    2635         --with-apr=%{_prefix} --with-apr-util=%{_prefix} \
    2736        --enable-suexec --with-suexec \
  • server/fedora/specs/krb5.spec.patch

    r760 r925  
    1 --- krb5.spec.orig      2008-03-18 14:13:22.000000000 -0400
    2 +++ krb5.spec   2008-05-20 23:53:40.000000000 -0400
     1--- krb5.spec.orig      2009-01-01 21:06:35.000000000 -0500
     2+++ krb5.spec   2009-01-01 21:10:27.000000000 -0500
     3@@ -16,7 +16,7 @@
     4 Summary: The Kerberos network authentication system.
     5 Name: krb5
     6 Version: 1.6.3
     7-Release: 10%{?dist}
     8+Release: 10.scripts%{?dist}
     9 # Maybe we should explode from the now-available-to-everybody tarball instead?
     10 # http://web.mit.edu/kerberos/dist/krb5/1.6/krb5-1.6.2-signed.tar
     11 Source0: krb5-%{version}.tar.gz
    312@@ -101,6 +101,8 @@
    413 Patch76: krb5-CVE-2007-5901.patch
     
    1019 URL: http://web.mit.edu/kerberos/www/
    1120 Group: System Environment/Libraries
    12 @@ -1349,6 +1351,7 @@
     21@@ -142,6 +144,7 @@
     22 Group: System Environment/Libraries
     23 Prereq: grep, /sbin/ldconfig, sh-utils
     24 Obsoletes: krb5-configs
     25+Provides: scripts-krb5-libs
     26 
     27 %description libs
     28 Kerberos is a network authentication system. The krb5-libs package
     29@@ -1349,6 +1352,7 @@
    1330 %patch75 -p0 -b .2008-0947
    1431 %patch76 -p0 -b .2007-5901
  • server/fedora/specs/openafs.spec.patch

    r907 r925  
    1 --- openafs.spec.orig   2008-04-28 18:13:44.000000000 -0400
    2 +++ openafs.spec        2008-06-03 12:36:29.000000000 -0400
    3 @@ -240,6 +240,10 @@
     1--- openafs.spec.orig   2009-01-01 13:46:41.000000000 -0500
     2+++ openafs.spec        2009-01-01 13:58:29.000000000 -0500
     3@@ -8,7 +8,7 @@
     4 # for beta/rc releases make pkgrel 0.X.<tag>
     5 # for real releases make pkgrel 1 (or more for extra releases)
     6 #%define pkgrel 0.1.rc1
     7-%define pkgrel 1.1
     8+%define pkgrel 1.1.scripts
     9 
     10 %if %{?osvers:0}%{!?osvers:1}
     11 %define osvers 1
     12@@ -261,6 +261,10 @@
    413 %endif
    514 ExclusiveArch: %{ix86} x86_64 ia64 s390 s390x sparc64 ppc ppc64
     
    1221 Source0: http://www.openafs.org/dl/openafs/%{afsvers}/openafs-%{afsvers}-src.tar.bz2
    1322 Source1: http://www.openafs.org/dl/openafs/%{afsvers}/openafs-%{afsvers}-doc.tar.bz2
    14 @@ -678,6 +681,9 @@
     23@@ -343,6 +347,7 @@
     24 %if %{build_userspace}
     25 
     26 %package client
     27+Provides: scripts-openafs-client
     28 Requires: binutils, openafs = %{PACKAGE_VERSION}
     29 
     30 %if %{fedorakmod}
     31@@ -403,6 +408,7 @@
     32 
     33 %if %{build_authlibs}
     34 %package authlibs
     35+Provides: scripts-openafs-authlibs
     36 Summary: OpenAFS authentication shared libraries
     37 Group: Networking/Filesystems
     38 
     39@@ -419,6 +425,7 @@
     40 %endif
     41 
     42 %package authlibs-devel
     43+Provides: scripts-openafs-authlibs-devel
     44 %if %{build_authlibs}
     45 Requires: openafs-authlibs = %{PACKAGE_VERSION}
     46 %endif
     47@@ -437,6 +444,7 @@
     48 libraries.
     49 
     50 %package devel
     51+Provides: scripts-openafs-devel
     52 Summary: OpenAFS Development Libraries and Headers
     53 Group: Development/Filesystems
     54 
     55@@ -465,6 +473,7 @@
     56 administrators.
     57 
     58 %package kernel-source
     59+Provides: scripts-openafs-kernel-source
     60 Summary: OpenAFS Kernel Module source tree
     61 Group: Networking/Filesystems
     62 Provides: openafs-kernel = %{PACKAGE_VERSION}
     63@@ -514,6 +523,7 @@
     64 
     65 %if %{krb5support}
     66 %package krb5
     67+Provides: scripts-openafs-krb5
     68 Summary: OpenAFS programs to use with krb5
     69 Requires: openafs = %{PACKAGE_VERSION}
     70 Group: Networking/Filesystems
     71@@ -699,6 +709,9 @@
    1572 
    1673 # Patch openafs to build a kernel module named "openafs" instead of "libafs"
  • server/fedora/specs/openssh.spec.patch

    r871 r925  
    1 --- openssh.spec.orig   2008-04-07 16:14:31.000000000 -0400
    2 +++ openssh.spec        2008-05-20 23:14:52.000000000 -0400
     1--- openssh.spec.orig   2009-01-01 21:06:01.000000000 -0500
     2+++ openssh.spec        2009-01-01 21:11:41.000000000 -0500
    33@@ -74,6 +74,7 @@
    44 Source1: openssh-nukeacss.sh
     
    99 Patch2: openssh-5.1p1-skip-initial.patch
    1010 Patch3: openssh-3.8.1p1-krb5-config.patch
    11 @@ -229,6 +230,8 @@
    12  %patch58 -p1 -b .controlcleanup
    13  %patch59 -p1 -b .master-race
     11@@ -159,6 +160,7 @@
     12 Requires(post): chkconfig >= 0.9, /sbin/service
     13 Requires(pre): /usr/sbin/useradd
     14 Requires: pam >= 1.0.1-3
     15+Provides: scripts-openssh-server
     16 
     17 %package askpass
     18 Summary: A passphrase dialog for OpenSSH and X
     19@@ -232,6 +234,8 @@
     20 %patch63 -p1 -b .bannerlen
     21 %patch64 -p1 -b .compat-sessions
    1422 
    1523+%patch1000 -p1 -b .multihomed
Note: See TracChangeset for help on using the changeset viewer.